Rotate a realtime connection ticket
curl --request PUT \
--url https://testnet.edel-api.xyz/v1/realtime/ticket \
--header 'Content-Type: application/json' \
--data '
{
"ticket": "<string>"
}
'import requests
url = "https://testnet.edel-api.xyz/v1/realtime/ticket"
payload = { "ticket": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ticket: '<string>'})
};
fetch('https://testnet.edel-api.xyz/v1/realtime/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket": "<string>",
"accountId": "<string>",
"expiresAt": 1
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}Realtime access
Rotate a realtime connection ticket
Rotates a ticket used by the separate realtime service by presenting it in the JSON request body. No bearer credential is accepted for this operation.
Method and path: PUT /v1/realtime/ticket
Authentication: none.
Request schema: RealtimeTicketRequest.
Response schema: RealtimeTicketResponse.
Error envelope: ExternalRestError (external-rest-error/v1).
PUT
/
v1
/
realtime
/
ticket
Rotate a realtime connection ticket
